Table of Contents

## Name

XmbResetIC, XwcResetIC - reset the state of an input context

## Syntax

char * XmbResetIC(ic)
XIC ic;

wchar_t * XwcResetIC(ic)
XIC ic;

## Arguments

ic
  Specifies the input context.

## Description

When XNResetState is set to XIMInitialState, XmbResetIC and XwcResetIC reset an input context to its initial state; when XNResetState is set to XIMPreserveState, the current input context state is preserved. In both cases, any input pending on that context is deleted. The input method is required to clear the preedit area, if any, and update the status accordingly. Calling XmbResetIC or XwcResetIC does not change the focus.

The return value of XmbResetIC is its current preedit string as a multibyte string. If there is any preedit text drawn or visible to the user, then these procedures must return a non-NULL string. If there is no visible preedit text, then it is input method implementation-dependent whether these procedures return a non-NULL string or NULL.

The client should free the returned string by calling XFree.

## See Also

XCreateIC(3X11) , XOpenIM(3X11) , XSetICFocus(3X11) , XSetICValues(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also